We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

Problem przy intalacji subversion


del_jachim
26-06-2009, 13:09
dzięki za odpowiedź, zastosowałem drugie rozwiązanie. Subversion sie zainstalowalo i narazie wszystko dziala ok. Jednak porównałem ten plik, którego dotyczył konflikt - jego zachowaną wczesniej kopie i utworzony przez instalacje Subversion i troche się różnią - nie przejmować się tym?

Plik perllocal.pod przed instalacją Subvesion

Kod:
=head2 Mon May 11 14:26:17 2009: C L

=over 4

=item *

C

=item *

C

=item *

C

=item *

C

=back
po instalacji Subversion ten sam plik:

Kod:
=head2 Fri Jun 26 12:55:36 2009: C L

=over 4

=item *

C

=item *

C

=item *

C

=item *

C

=back

del_jachim
26-06-2009, 12:40
witam, może ktoś wie o co chodzi w poniższym błędzie...zrozumiałem, że chodzi o kolizje plików, ale jak sobie z tym poradzić?
Podczas instalacji subversion
Kod:
emerge -a subversion
dostaje error:

Kod:
* This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / ` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 * 
 * Detected file collision(s):
 * 
 * 	/usr/lib64/perl5/5.8.8/x86_64-linux/perllocal.pod
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * mail-filter/spamassassin-3.2.1-r1
 * 	/usr/lib64/perl5/5.8.8/x86_64-linux/perllocal.pod
 * 
 * Package 'dev-util/subversion-1.5.6' NOT merged due to file collisions.
 * If necessary, refer to your elog messages for the whole content of the
 * above message.